﻿
:root {
    --table-header-bg: rgb(243, 244, 246);
    --table-header-text: rgb(115, 115, 115);
    --table-border-color: rgb(229, 231, 235);
    --row-bg: rgb(249, 250, 251);
    --alt-row-bg: white;
    --item-name-text: rgb(17, 24, 39);
    --item-name-text-hover: rgb(220 38 38);
    --item-sub-name-text: rgb(107 114 128);
    --table-data-green: rgb(22 163 74);
}

.mud-table-head {
    background-color: var(--table-header-bg);
    position: sticky;
    z-index: 3;
    top: 0;
    box-shadow: inset 0 0px black, inset -1px -1px var(--mud-palette-table-lines);
    white-space: nowrap;
}

    .mud-table-head th {
        color: var(--table-header-text) !important;
        border-bottom: none;
    }

.sticky-left-header {
    position: sticky;
    background-color: var(--table-header-bg);
    box-shadow: inset 0 0px black, inset -1px -1px var(--mud-palette-table-lines);
    left: 0;
}

.grouped-table td:first-child {
    margin-right: -16px;
    border-right: none !important;
    padding-right: 0;
}

    .grouped-table td:first-child .d-flex {
        justify-content: flex-end
    }

    .grouped-table td:first-child svg {
        fill: rgb(17, 24, 39)
    }

    .grouped-table td:first-child:not(:where(.white-row > *, .grey-row > *)) {
        background-color: var(--table-header-bg);
        border-top: 1px solid var(--mud-palette-table-lines);
    }

.grouped-table .mud-table-cell button {
    padding: 12px;
}

.group-header {
    background-color: var(--table-header-bg);
    border-top: 1px solid var(--mud-palette-table-lines);
    padding: 0 !important;
}

.sticky-group-header {
    padding: 16px;
    position: sticky;
    left: 0;
    color: var(--item-name-text);
    font-weight: 600;
}

.sticky-column {
    min-width: 300px;
    position: sticky;
    left: -1px;
    border-right: none !important;
    box-shadow: inset 0 0px black, inset -1px 0 var(--mud-palette-table-lines);
    z-index: 2;
}

.expand-button {
    padding: 8px;
    margin-left: -8px;
    margin-right: 8px;
}

.grey-row {
    background-color: var(--row-bg);
}

    .grey-row .sticky-column {
        background-color: var(--row-bg);
    }

.white-row {
    background-color: var(--alt-row-bg);
}

    .white-row .sticky-column {
        background-color: var(--alt-row-bg);
    }

.mud-table-root > .mud-table-body:last-child > .mud-table-row:last-child > .mud-table-cell {
    border-bottom: 1px solid var(--mud-palette-table-lines);
}


.mud-table-cell {
    padding: 6px 16px;
    border-bottom: none;
}

    .mud-table-cell button {
        padding: 4px;
    }

.mud-table {
    max-height: calc(100vh - 101px);
    min-height: calc(100vh - 101px);
    overflow-y: auto;
    table-layout: fixed;
    width: 100%
}
    .mud-table.table-with-header {
        max-height: calc(100vh - 136px);
        min-height: calc(100vh - 136px);
    }

.mud-table-container {
    min-height: calc(100vh - 156px);
    overflow-y: unset;
}

    .mud-table-container.table-with-header {
        min-height: calc(100vh - 191px);
    }

.item-name {
    color: var(--item-name-text);
    font-weight: 500;
}

    .item-name.selectable:hover {
        color: var(--item-name-text-hover);
        text-decoration: underline;
        cursor: pointer;
        font-weight: 500;
    }

.item-sub-name {
    color: var(--item-sub-name-text);
}

.subitem-row {
    background-color: var(--table-header-bg);
    border-top: 1px solid var(--table-border-color);
    border-bottom: 1px solid var(--table-border-color);
}

    .subitem-row td {
        border: 1px solid var(--table-border-color);
    }

.sticky-pager {
    z-index: 3;
    background-color: var(--alt-row-bg);
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
}

.mud-table-pagination {
    max-height: 50px;
    z-index: 3;
}

.filters-row {

    display: flex;
    flex-direction: row;
    gap: 10px;
    flex-wrap: wrap;
    padding: 10px 0px;
}

.filter-outline {
    display: flex;
    flex-direction: row;
    gap: 8px;
    padding: 8px;
    background-color: var(--table-header-bg);
    border: 1px solid rgb(229, 229, 229);
    height: 50px;
    border-radius: 0.5rem;
    align-items: center;
}

.filter-name {
    color: rgb(55 65 81);
    white-space: nowrap;
    font-size: .75rem;
    font-weight: 500;
}

.filter-chip {
    margin: 0;
    padding: 0.5rem 0.75rem;
    font-size: .75rem;
    line-height: 1rem;
    background-color: white;
    border-radius: calc(0.5rem - 2px);
}

.table-header-controls {
    display: flex;
    flex-direction: row;
    gap: 15px;
    max-height: 36.5px;
    margin-bottom: 13.5px;
}

    .table-header-controls .mud-input-control {
        margin-top: 0;
        margin-bottom: 0;
    }

    .table-header-controls input {
        padding: 0.5rem 0.75rem !important;
    }